
QGIS Application - Bug report #8957

qgis composer hold-space pan keyboard shortcut not working properly

2013-10-28 12:14 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17621

Description

Steps to reproduce:

1. Create a new composer window

2. Add a map item

3. Make sure you have the move / resize item tool activated

3. Zoom into the composer far enough to have plenty of panning to do around

4. Hold the space bar to start panning by moving mouse around

5. While space bar is held, click and hold mouse's left click button over an item, and then further move the mouse

6. You'll notice the item is actually being moved

What should happen is probably that when spacebar is held down to pan, all the mouse clicks are ignored.

Associated revisions

Revision 1dec7b09 - 2014-02-10 12:15 PM - Nyall Dawson

[composer] Improve logic for pan shortcuts (fix #8957)

History

#1 - 2014-02-10 03:57 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"1dec7b09acdad0e571d626bbb6a453d1803edbb2".
